"use strict";
// reads contents of package.JSON
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const util_1 = require("util");
const package_json_path_1 = require("./package-json-path");
const package_json_model_1 = require("../../models/package-json-model");
const readFilePromise = util_1.promisify(fs_1.readFile);
function readPackageJson() {
    return readFilePromise(package_json_path_1.PACKAGE_JSON_PATH, 'utf8')
        .then(info => processPackageJson(JSON.parse(info)))
        .catch(_ => processPackageJson(package_json_model_1.emptyPackageJson()));
}
exports.readPackageJson = readPackageJson;
function processPackageJson(packageJSON = package_json_model_1.emptyPackageJson()) {
    const version = packageJSON.version || 'Version information not available.';
    const license = packageJSON.license || 'License not available.';
    const repository = packageJSON.repository || 'Repository not available.';
    return {
        version: version,
        license: license,
        repository: repository
    };
}
//# sourceMappingURL=package-JSON-reader.js.map