"use strict";
// show program info
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const figlet_1 = __importDefault(require("figlet"));
const chalk_1 = __importDefault(require("chalk"));
const package_JSON_reader_1 = require("../core-providers/packageJSONservice/package-JSON-reader");
const TITLE = 'JSON-LD CLI tool for NodeJS\n' +
    '(C) 2018 by Aaron Sterling\n';
function showProgramInfo() {
    figlet_1.default.text('JLDC', (err, res) => {
        if (!err) {
            console.log(chalk_1.default.greenBright(res));
        }
        package_JSON_reader_1.readPackageJson().then(packageJSON => showInfo(packageJSON));
    });
}
exports.showProgramInfo = showProgramInfo;
function showInfo(packageJSON) {
    console.log(chalk_1.default.greenBright(TITLE));
    console.log('Version: ', packageJSON.version);
    console.log('License: ', packageJSON.license);
    console.log('Repository: ', packageJSON.repository);
}
//# sourceMappingURL=program-info.js.map